TimeToCargo

Get batch tracking status and results

Download OpenAPI
GET
/v2/tracking/batch

Returns the state of a task created with POST /v2/tracking/batch. In data.status, CREATED means queued, HANDLING means processing, and PROCESSED means complete. Once complete, read data.results and stop requesting the task state. Use tracking requests or webhooks for later shipment updates. Task data is cached for up to 6 hours.

Authorization

api_key
api_key<token>

In: query

Query Parameters

task_id*string

The unique identifier of the tracking task. It is obtained when creating a request via POST /v2/tracking/batch

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/v2/tracking/batch?task_id=aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"
{  "success": true,  "data": {    "task_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",    "status": "PROCESSED",    "results": [      {        "success": true,        "data": {          "summary": {            "origin": {              "location": 0,              "terminal": 0,              "date": "2023-03-25T00:00:00"            },            "pol": {              "location": 0,              "terminal": 0,              "date": "2023-03-25T00:00:00"            },            "pod": {              "location": 0,              "terminal": 0,              "date": "2023-03-25T00:00:00"            },            "destination": {              "location": 0,              "terminal": 0,              "date": "2023-03-25T00:00:00"            },            "company": {              "name": "MSC",              "full_name": "Mediterranean Shipping Company",              "url": "https://www.msc.com/",              "scacs": [                "MEDU",                "MSCU"              ]            }          },          "locations": [            {              "id": 0,              "name": "Gothenburg",              "state": "Halland",              "terminal": "Port of Gothenburg",              "country": "Sweden",              "lat": 57.70887,              "lng": 11.97456            }          ],          "terminals": [            {              "id": 0,              "name": "Port of Gothenburg"            }          ],          "containers": [            {              "number": "TCKU7858986",              "type": "40' Dry",              "events": [                {                  "location": 0,                  "terminal": 0,                  "status": "On Board",                  "status_code": "CLL",                  "date": "2023-10-25T11:11:11",                  "actual": false,                  "vessel": "Evergreen Teresa",                  "voyage": "V. 284"                }              ]            }          ],          "route_info": {            "route": [              {                "path": [                  [                    48.698306,                    14.042056                  ],                  [                    45.039944,                    12.751222                  ],                  [                    43.463278,                    12.6745                  ],                  [                    32.566855,                    29.927166                  ],                  [                    32.284501,                    31.232806                  ]                ],                "type": "sea"              }            ],            "current_position": [              32.284501,              31.232806            ],            "last_updated": "2023-10-25T11:11:11",            "course": 247.34          },          "shipment_status": "IN_TRANSIT",          "references": {            "booking_numbers": [              "2315887441"            ],            "bill_of_lading_numbers": [              "MEDUH1234567"            ]          },          "tracking_metadata": {            "id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",            "end_date": "2025-06-29T14:12:00.000Z",            "status": "ACTIVE",            "note": "Order 4521",            "created_at": "2025-06-29T14:12:00.000Z",            "updated_at": "2025-06-30T06:00:00.000Z"          }        },        "status": "OK",        "status_description": "Information found",        "request": {          "track_number": {            "type": "container",            "value": "TCKU7858986"          },          "company": "MEDU"        }      }    ]  },  "status": "OK"}